# Interface ColumnsDefault

#### Hierarchy

- ColumnsDefault

#####
Index

### Properties

className
field
footerClassName
footerRenderer
footerStyle
footerTemplate
headerClassName
headerRenderer
headerStyle
headerTemplate
headerText
maxWidth
minWidth
renderer
resizable
showRequired
sortProperty
sortable
style
template
weight
width

## Properties

### className

className: null | string

The CSS class to apply to the column cells.

### field

field: null | string

The data field that this column refers to.

### footerClassName

footerClassName: null | string

The CSS class to apply to the footer cell.

### footerRenderer

footerRenderer: null

A function that renders the content of the footer cell. The function takes a context argument, provided by the Table. See the Help documentation for more information.

### footerStyle

footerStyle: null | string

The CSS styling to apply to the footer cell.

### footerTemplate

footerTemplate: null | string

The slot name used to specify the template for rendering the footer cell. See the Help documentation for more information.

#### Deprecated

Since 7.0.0. Use the footerTemplate slot instead.

### headerClassName

headerClassName: null | string

The CSS class to apply to the column header text.

### headerRenderer

headerRenderer: null

A function that renders the content of the header. The function takes a context argument, provided by the Table. See the Help documentation for more information.

### headerStyle

headerStyle: null | string

The CSS styling to apply to the column header text.

### headerTemplate

headerTemplate: null | string

The slot name used to specify the template for rendering the header cell. See the Help documentation for more information.

#### Deprecated

Since 7.0.0. Use the headerTemplate slot instead.

### headerText

headerText: null | string

Text to display in the header of the column.

### maxWidth

maxWidth: null | string | number

The maximum width style string of the column. See the Help documentation for more information.

### minWidth

minWidth: null | string | number

The minimum width style string of the column. See the Help documentation for more information.

### renderer

renderer: null

A function that renders the content of the cell. The function takes a context argument, provided by the Table. See the Help documentation for more information.

### resizable

resizable: string

Enable or disable width resizing along the column end headers.

### showRequired

showRequired: boolean

Whether the column header should display a required icon. When set to true, the Table's default column header rendering, tooltip, and assistive text will convey this information to the user as per the specified theme. If a custom header renderer or header template is specified, the application is responsible for rendering the icon.

### sortProperty

sortProperty: null | string

Specifies the row attribute used for sorting when a sort is invoked on this column. See the Help documentation for more information.

### sortable

sortable: string

Specifies whether a column is sortable. See the Help documentation for more information.

### style

style: null | string

The CSS styling to apply to the column cells.

### template

template: null | string

The slot name used to specify the template for rendering the cell. See the Help documentation for more information.

#### Deprecated

Since 7.0.0. Use the template slot instead.

### weight

weight: null | number

The sizing weight of the column in a fixed layout. See the Help documentation for more information.

### width

width: null | string | number

The width style string of the column. See the Help documentation for more information.

Generated using TypeDoc